## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl.BasicEStoreFeatureMap

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.DelegatingEList<E>
                  org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.DelegatingEcoreEList<FeatureMap.Entry>
                              org.eclipse.emf.ecore.util.DelegatingFeatureMap
                                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreFeatureMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<FeatureMap.Entry>, java.util.Collection<FeatureMap.Entry>, java.util.List<FeatureMap.Entry>, NotifyingList<FeatureMap.Entry>, EList<FeatureMap.Entry>, EStructuralFeature.Setting, FeatureMap, FeatureMap.Internal, FeatureMap.Internal.Wrapper, InternalEList<FeatureMap.Entry>, InternalEList.Unsettable<FeatureMap.Entry>

Direct Known Subclasses:
  EStoreEObjectImpl.EStoreFeatureMap

Enclosing class:
  EStoreEObjectImpl

    public static class EStoreEObjectImpl.BasicEStoreFeatureMap

extends DelegatingFeatureMap

A feature map that delegates to a store.

Since:
  2.4
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap
`DelegatingFeatureMap.FeatureEIterator<E>, DelegatingFeatureMap.FeatureMapEObjectImpl, DelegatingFeatureMap.ResolvingFeatureEIterator<E>, DelegatingFeatureMap.ValueListIteratorImpl<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList
`DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`FeatureMap.Internal.Wrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap
`FeatureMap.Entry, FeatureMap.Internal, FeatureMap.ValueListIterator<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap
`eStructuralFeature, featureMapValidator, wrapper`

Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`owner`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EStoreEObjectImpl.BasicEStoreFeatureMap(InternalEObject owner, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `delegateAdd(FeatureMap.Entry object)` Adds the object at the end of the backing store list.
`protected void` `delegateAdd(int index, FeatureMap.Entry object)` Adds the object at the given index in the backing store list.
`protected java.util.List<FeatureMap.Entry>` `delegateBasicList()` Returns an unsafe list that provides a `non-resolving` view of the backing store list.
`protected void` `delegateClear()` Clears the backing store list of all objects.
`protected boolean` `delegateContains(java.lang.Object object)` Returns whether the backing store list contains the object.
`protected boolean` `delegateContainsAll(java.util.Collection<?> collection)` Returns whether the backing store list contains each object in the collection.
`protected FeatureMap.Entry` `delegateGet(int index)` Returns the object at the index in the backing store list.
`protected int` `delegateHashCode()` Returns the hash code of the backing store list.
`protected int` `delegateIndexOf(java.lang.Object object)` Returns the position of the first occurrence of the object in the backing store list.
`protected boolean` `delegateIsEmpty()` Returns whether the backing store list has zero size.
`protected java.util.Iterator<FeatureMap.Entry>` `delegateIterator()` Returns an iterator over the backing store list.
`protected int` `delegateLastIndexOf(java.lang.Object object)` Returns the position of the last occurrence of the object in the backing store list.
`protected java.util.List<FeatureMap.Entry>` `delegateList()` Returns the list that acts as the backing store.
`protected java.util.ListIterator<FeatureMap.Entry>` `delegateListIterator()` Returns a list iterator over the backing store list.
`protected FeatureMap.Entry` `delegateMove(int targetIndex, int sourceIndex)` Moves the object at the source index in the backing store list by removing it and adding it at the new target index.
`protected FeatureMap.Entry` `delegateRemove(int index)` Removes the object at the index from the backing store list and returns it.
`protected FeatureMap.Entry` `delegateSet(int index, FeatureMap.Entry object)` Sets the object at the index in the backing store list and returns the old object at the index.
`protected int` `delegateSize()` Returns the number of objects in the backing store list.
`protected java.lang.Object[]` `delegateToArray()` Returns an array containing all the objects in the backing store list in sequence.

`protected

`<T> T[]`

`

`delegateToArray(T[] array)`
Returns an array containing all the objects in the backing store list in sequence.

`protected java.lang.String` `delegateToString()` Returns a the string form of the backing store list.
`protected InternalEObject.EStore` `eStore()`
`EStructuralFeature` `getEStructuralFeature()` Returns the specific feature holding a value for the object.

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingFeatureMap

`add, add, add, add, add, addAll, addAll, addAll, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicRemove, basicToArray, basicToArray, canContainNull, clear, contains, contains, containsAll, createEntry, createNotification, createRawEntry, doAdd, doAdd, doAddAll, doAddAll, doSet, entryIndex, featureMap, get, get, getEStructuralFeature, getFeatureType, getModCount, getValue, getWrapper, hasInverse, hasShadow, indexOf, indexOf, inverseAdd, inverseRemove, inverseTouch, isEmpty, isEObject, isMany, isResolveProxies, isSet, isUnique, iterator, lastIndexOf, lastIndexOf, list, listIterator, listIterator, move, move, move, remove, remove, removeAll, resolveProxy, resolveProxy, retainAll, set, set, set, set, setting, setUnique, setValue, setWrapper, shadowAdd, shadowRemove, shadowSet, shouldUnset, size, toArray, toArray, toArray, toArray, unset, validate, valueListIterator, valueListIterator`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList
`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getFeature, getFeatureID, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, isContainment, isInstance, isNotificationRequired, isSet, lastIndexOf, resolve, resolve, toArray, toArray, unset`

Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl
`basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl
`addAllUnique, addAllUnique, addAllUnique, addUnique, basicAdd, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, remove, removeAll, setUnique`

Methods inherited from class org.eclipse.emf.common.util.DelegatingEList
`containsAll, delegateEquals, didAdd, didChange, didClear, didMove, didRemove, didSet, doClear, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, size, toString, useEquals`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Internal
`getEObject`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move`

Methods inherited from interface java.util.List
`clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move`

Methods inherited from interface java.util.List
`clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Setting
`get, isSet, unset`

Constructor Detail

### EStoreEObjectImpl.BasicEStoreFeatureMap

    public EStoreEObjectImpl.BasicEStoreFeatureMap(InternalEObject owner,
                                                   EStructuralFeature eStructuralFeature)

Method Detail

### eStore

    protected InternalEObject.EStore eStore()

### delegateList

    protected java.util.List<FeatureMap.Entry> delegateList()

  Description copied from class: `DelegatingEList`
  Returns the list that acts as the backing store.

  Specified by:
    `delegateList` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    the list that acts as the backing store.

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the specific feature holding a value for the object.

  Specified by:
    `getEStructuralFeature` in interface `EStructuralFeature.Setting`
  Overrides:
    `getEStructuralFeature` in class `DelegatingFeatureMap`
  Returns:
    the specific feature holding a value for the object.

### delegateAdd

    protected void delegateAdd(int index,
                               FeatureMap.Entry object)

  Description copied from class: `DelegatingEList`
  Adds the object at the given index in the backing store list.

  Overrides:
    `delegateAdd` in class `DelegatingEList<FeatureMap.Entry>`
    `object` - the object to be added.

### delegateAdd

    protected void delegateAdd(FeatureMap.Entry object)

  Description copied from class: `DelegatingEList`
  Adds the object at the end of the backing store list.

  Overrides:
    `delegateAdd` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `object` - the object to be added.

### delegateBasicList

    protected java.util.List<FeatureMap.Entry> delegateBasicList()

  Description copied from class: `DelegatingEList`
  Returns an unsafe list that provides a `non-resolving` view of the backing store list.

  Overrides:
    `delegateBasicList` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    an unsafe list that provides a non-resolving view of the backing store list.

### delegateClear

    protected void delegateClear()

  Description copied from class: `DelegatingEList`
  Clears the backing store list of all objects.

  Overrides:
    `delegateClear` in class `DelegatingEList<FeatureMap.Entry>`

### delegateContains

    protected boolean delegateContains(java.lang.Object object)

  Description copied from class: `DelegatingEList`
  Returns whether the backing store list contains the object.

  Overrides:
    `delegateContains` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `object` - the object in question.
  Returns:
    whether the backing store list contains the object.

### delegateContainsAll

    protected boolean delegateContainsAll(java.util.Collection<?> collection)

  Description copied from class: `DelegatingEList`
  Returns whether the backing store list contains each object in the collection.

  Overrides:
    `delegateContainsAll` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    whether the backing store list contains each object in the collection.
  See Also:
    `DelegatingEList.contains(java.lang.Object)`, `DelegatingEList.useEquals()`

### delegateGet

    protected FeatureMap.Entry delegateGet(int index)

  Description copied from class: `DelegatingEList`
  Returns the object at the index in the backing store list.

  Overrides:
    `delegateGet` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `index` - the position in question.
  Returns:
    the object at the index.

### delegateHashCode

    protected int delegateHashCode()

  Description copied from class: `DelegatingEList`
  Returns the hash code of the backing store list.

  Overrides:
    `delegateHashCode` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    a hash code.

### delegateIndexOf

    protected int delegateIndexOf(java.lang.Object object)

  Description copied from class: `DelegatingEList`
  Returns the position of the first occurrence of the object in the backing store list.

  Overrides:
    `delegateIndexOf` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `object` - the object in question.
  Returns:
    the position of the first occurrence of the object in the backing store list.

### delegateIsEmpty

    protected boolean delegateIsEmpty()

  Description copied from class: `DelegatingEList`
  Returns whether the backing store list has zero size.

  Overrides:
    `delegateIsEmpty` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    whether the backing store list has zero size.

### delegateIterator

    protected java.util.Iterator<FeatureMap.Entry> delegateIterator()

  Description copied from class: `DelegatingEList`
  Returns an iterator over the backing store list.

  Overrides:
    `delegateIterator` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    an iterator.

### delegateLastIndexOf

    protected int delegateLastIndexOf(java.lang.Object object)

  Description copied from class: `DelegatingEList`
  Returns the position of the last occurrence of the object in the backing store list.

  Overrides:
    `delegateLastIndexOf` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `object` - the object in question.
  Returns:
    the position of the last occurrence of the object in the backing store list.

### delegateListIterator

    protected java.util.ListIterator<FeatureMap.Entry> delegateListIterator()

  Description copied from class: `DelegatingEList`
  Returns a list iterator over the backing store list.

  Overrides:
    `delegateListIterator` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    a list iterator.

### delegateRemove

    protected FeatureMap.Entry delegateRemove(int index)

  Description copied from class: `DelegatingEList`
  Removes the object at the index from the backing store list and returns it.

  Overrides:
    `delegateRemove` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    the removed object.

### delegateSet

    protected FeatureMap.Entry delegateSet(int index,
                                           FeatureMap.Entry object)

  Description copied from class: `DelegatingEList`
  Sets the object at the index in the backing store list and returns the old object at the index.

  Overrides:
    `delegateSet` in class `DelegatingEList<FeatureMap.Entry>`
    `object` - the object to set.
  Returns:
    the old object at the index.

### delegateSize

    protected int delegateSize()

  Description copied from class: `DelegatingEList`
  Returns the number of objects in the backing store list.

  Overrides:
    `delegateSize` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    the number of objects in the backing store list.

### delegateToArray

    protected java.lang.Object[] delegateToArray()

  Description copied from class: `DelegatingEList`
  Returns an array containing all the objects in the backing store list in sequence.

  Overrides:
    `delegateToArray` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    an array containing all the objects in the backing store list in sequence.

### delegateToArray

    protected <T> T[] delegateToArray(T[] array)

  Description copied from class: `DelegatingEList`
  Returns an array containing all the objects in the backing store list in sequence.

  Overrides:
    `delegateToArray` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `array` - the array that will be filled and returned, if it's big enough; otherwise, a suitably large array of the same type will be allocated and used instead.
  Returns:
    an array containing all the objects in sequence.

### delegateMove

    protected FeatureMap.Entry delegateMove(int targetIndex,
                                            int sourceIndex)

  Description copied from class: `DelegatingEList`
  Moves the object at the source index in the backing store list by removing it and adding it at the new target index.

  Overrides:
    `delegateMove` in class `DelegatingEList<FeatureMap.Entry>`
  Parameters:
    `targetIndex` - the new position for the object in the list.
    `sourceIndex` - the old position of the object in the list.
  Returns:
    the moved object.

### delegateToString

    protected java.lang.String delegateToString()

  Description copied from class: `DelegatingEList`
  Returns a the string form of the backing store list.

  Overrides:
    `delegateToString` in class `DelegatingEList<FeatureMap.Entry>`
  Returns:
    a the string form of the backing store list.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.